<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2009 The Cacti Group                                      |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
 | Cacti: The Complete RRDTool-based Graphing Solution                     |
 +-------------------------------------------------------------------------+
 | This code is designed, written, and maintained by the Cacti Group. See  |
 | about.php and/or the AUTHORS file for specific developer information.   |
 +-------------------------------------------------------------------------+
 | http://www.cacti.net/                                                   |
 +-------------------------------------------------------------------------+
*/

chdir('../../');
include_once('./include/auth.php');

$ds_actions = array(
	1 => 'Delete'
	);

$action = '';
if (isset($_POST['action'])) {
	$action = $_POST['action'];
} else if (isset($_GET['action'])) {
	$action = $_GET['action'];
}

if (isset($_POST['drp_action']) && $_POST['drp_action'] == 1) {
	$action = 'delete';
}

switch ($action) {
	case 'add':
		template_add();
		break;
	case 'save':
		if (isset($_POST['save']) && $_POST['save'] == 'edit') {
			template_save_edit();

			if (isset($_SESSION["graph_return"])) {
				$return_to = $_SESSION["graph_return"];
				unset($_SESSION["graph_return"]);
				kill_session_var("graph_return");
				header('Location: ' . $return_to);
			}
		} else if (isset($_POST['save']) && $_POST['save'] == 'add') {

		}
		break;
	case 'delete':
		template_delete();
		break;
	default:
		include_once('./include/top_header.php');
		templates();
		include_once('./include/bottom_footer.php');
		break;
}


function templates(){

global $config, $colors, $ds_actions;

html_start_box('<strong>GPS Templates</strong>' , '100%', $colors['header'], '3', 'center', 'gpstemplates_add.php');
html_header_checkbox(array('Host Template', 'Up Image', 'Recovering Image', 'Down Image'));

$template_list = db_fetch_assoc('SELECT * FROM gpsmap_templates ORDER BY templateID');
$i=0;
if (sizeof($template_list) > 0) {
	foreach ($template_list as $template) {
		form_alternate_row_color($colors["alternate"], $colors["light"], $i, 'line' . $template["templateID"]); $i++;
		form_selectable_cell($template['templateName'], $template["templateID"]);
		form_selectable_cell($template['upimage'], $template["templateID"]);
		form_selectable_cell($template['recoverimage'], $template["templateID"]);
		form_selectable_cell($template['downimage'], $template["templateID"]);
		form_checkbox_cell($template['templateID'], $template["templateID"]);
		form_end_row();
	}
}else{
	print "<tr><td><em>No Data Templates</em></td></tr>\n";
}
html_end_box(false);

/* draw the dropdown containing a list of available actions for this form */
draw_actions_dropdown($ds_actions);

print "</form>\n";
}


function template_delete() {
	foreach($_POST as $t=>$v) {
		if (substr($t, 0,4) == 'chk_') {
			$id = substr($t, 4);
			db_execute('DELETE FROM gpsmap_templates WHERE templateID=' . $id);
		}
	}
	Header('Location: gpstemplates.php');
	exit;
}

?>