<?php

function gpsmap_upgrade_database () {
global $config, $database_default;
include_once($config['library_path'] . '/database.php');

gpsmap_setup_database ();

include_once($config['base_path'] . '/plugins/gpsmap/setup.php');
$v = plugin_gpsmap_version();

$oldv = read_config_option('plugin_gpsmap_version');

}


function gpsmap_setup_database () {
api_plugin_db_add_column ('gpsmap', 'host', array('name' => 'latitude', 'type' => 'float(13,10)', 'NULL' => false, 'default' => '0', 'after' => 'availability'));
api_plugin_db_add_column ('gpsmap', 'host', array('name' => 'longitude', 'type' => 'float(13,10)', 'NULL' => false, 'default' => '0', 'after' => 'availability'));
api_plugin_db_add_column ('gpsmap', 'host', array('name' => 'GPScoverage', 'type' => 'varchar(3)', 'NULL' => false, 'default' => 'on', 'after' => 'availability'));

$data = array();
$data['columns'][] = array('name' => 'templateID', 'type' => 'int(11)', 'NULL' => true);
$data['columns'][] = array('name' => 'templateName', 'type' => 'varchar(100)', 'NULL' => true);
$data['columns'][] = array('name' => 'upimage', 'type' => 'varchar(255)', 'NULL' => true);
$data['columns'][] = array('name' => 'recoverimage', 'type' => 'varchar(255)', 'NULL' => true);
$data['columns'][] = array('name' => 'downimage', 'type' => 'varchar(255)', 'NULL' => true);


$data['type'] = 'MyISAM';
$data['comment'] = 'GPSMap icon template';
api_plugin_db_table_create ('gpsmap', 'gpsmap_templates', $data);

}
?>