<?php
chdir('../../');
include_once("./include/auth.php");
include_once("./include/top_header.php");
include_once("plugins/gpsmap/includes/gpsmapinitial.php");
include_once("plugins/gpsmap/includes/functions.php");
include_once("plugins/gpsmap/class/hosts_class.php");
include_once("plugins/gpsmap/class/towers_class.php");
$doc = "";                                              
$body = "";
     
switch ($show) {
//selected nodes	
	case 'setup':
		$body = "Please make sure to properly configure GPS Map first under settings -> gpsmap";
		break;
//this is meant to select all those in certain IP ranges.  
//In our case our different IP regions		
	case 'region': 
		if (!$iplevel) {    
			$iplevel = 1;   
		}
		if (!$parameter) {   
			$parameter = ""; 
		}
		region($parameter,$iplevel);    
		break;    
//show all nodes		
	default:
		$body .= '<div style="font-size:12px; background-color:#cccccc; width:100%; height:14px;"><a href="./gpsmap.php?show=region&coverage=0">IP Analysis</a></div>';
		$body .= '<div style="font-size:12px; background-color:#cccccc; width:100%; height:14px;"><a href="./gpsmap.php?show=region&coverage=1">IP Analysis with Coverage</a></div>';
		showAll();
		break;
}

//---------------------------------------------------------------
function showAll(){
//we are going to get every node and send that through our system 
global $coverage;
global $enableAll;
$hostArray = array();

if($enableAll){
//$result = mysql_query("SELECT * FROM `host`");
$result = mysql_query("SELECT * FROM `host` LEFT JOIN gpsmap_templates ON host.host_template_id = gpsmap_templates.templateID");
}else{
$result = mysql_query("SELECT * FROM `host` LEFT JOIN gpsmap_templates ON host.host_template_id = gpsmap_templates.templateID WHERE disabled=''");
//$result = mysql_query("SELECT * FROM `host` WHERE disabled=''");
}
while($row = mysql_fetch_array($result,MYSQL_BOTH)){
	if(isset($row['latitude'])&&isset($row['longitude'])&&($row['latitude'] != '')&&($row['latitude'] != '')&&($row['latitude'] != '0')&&($row['longitude'] != '0')){
		if (list($first, $second, $third, $fourth) = explode('.',gethostbyname($row["hostname"]))){
		$status = $row['status'];
		$upimage = ($row['upimage'] ? $row['upimage']: "Google Green");
		$downimage = ($row['downimage'] ? $row['downimage']: "Google Red");
		$recoverimage = ($row['recoverimage'] ? $row['recoverimage']: "Google Yellow"); // ((condition) ? (true) : (false))
		if ($status == 3){
			$status = "up"; 
		}elseif($status == 1){
			$status = "down";
		}elseif($status == 2){
			$status = "recovering";
		}else{ $status = "undefined"; }
		if($row['disabled'] == "on"){
			$status = "disabled";
		}

		$hostArray[] = new host($row['id'],$row['host_template_id'],$row['latitude'],$row['longitude'],$first.$second.$third.$fourth,$row['description'],$row['hostname'],$row['availability'],$status,$row['cur_time'],$row['GPScoverage'],$upimage,$downimage,$recoverimage);
	}
	}
}	

if ($coverage == 1){
	coverageXML($hostArray);
}else{
	xmlCreate($hostArray);
}
}

//---------------------------------------------------------------
function region($preemptive,$ipLevel){
global $body;
global $coverage;
global $enableAll;
$hostArray = array();

//we are going to parse every node and sort them by region numbers, IE the IP range seleced in the setup.
if($enableAll){
$result = mysql_query("SELECT * FROM `host` LEFT JOIN gpsmap_templates ON host.host_template_id = gpsmap_templates.templateID ORDER BY hostname");
}else{
$result = mysql_query("SELECT * FROM `host` LEFT JOIN gpsmap_templates ON host.host_template_id = gpsmap_templates.templateID WHERE disabled='' ORDER BY hostname");
}
while($row = mysql_fetch_array($result,MYSQL_BOTH)){
	if(isset($row['latitude'])&&isset($row['longitude'])&&($row['latitude'] != '')&&($row['latitude'] != '')&&($row['latitude'] != '0')&&($row['longitude'] != '0')){
	if (list($first, $second, $third, $fourth) = explode('.',gethostbyname($row["hostname"]))){
		$status = $row['status'];
		$status = $row['status'];
		$upimage = ($row['upimage'] ? $row['upimage']: "Google Green");
		$downimage = ($row['downimage'] ? $row['downimage']: "Google Red");
		$recoverimage = ($row['recoverimage'] ? $row['recoverimage']: "Google Yellow"); // ((condition) ? (true) : (false))
		if ($status == 3){
			$status = "up"; 
		}elseif($status == 1){
			$status = "down";
		}elseif($status == 2){
			$status = "recovering";
		}else{ $status = "undefined"; }
		if($row['disabled'] == "on"){
			$status = "disabled";     
		}
	$hostArray[] = new host($row['id'],$row['host_template_id'],$row['latitude'],$row['longitude'],$first.$second.$third.$fourth,$row['description'],$row['hostname'],$row['availability'],$status,$row['cur_time'],$row['GPScoverage'],$upimage,$downimage,$recoverimage);
	}
	}
}	

$back = "";
$iparray = array();
$ipwriteout = array();


foreach($hostArray as $host){
	//sort by top level, and display all top IP range so they can be selected, and iterate this down through level 4
	//if preemptive level is met we want to display the lower ones.                                    
	//for 1 we want to display all top level IP

	list($first, $second, $third, $fourth) = explode('.',$host->hostname);				

	if($ipLevel == 1){
		if(!in_array($first,$iparray)){
			$iparray[] = $first;
			$ipwriteout[] = "<a href=\"./gpsmap.php?show=region&parameter=".$first."&iplevel=2&coverage=".$coverage."\">IP ".$first."</a><br/>";
		}
	}elseif($ipLevel == 2){
		if(!strcasecmp($preemptive,$first)){
			if(!in_array($first.$second,$iparray)){
				$iparray[] = $first.$second;
				$ipwriteout[] = "<a href=\"./gpsmap.php?show=region&parameter=".$first.$second."&iplevel=3&coverage=".$coverage."\">IP ".$first.".".$second."</a><br/>";
			}
			$back = "<a href=\"./gpsmap.php?show=region&coverage=".$coverage."\"><u>Go Back</u></a><br/>";
		}else{
			$host->showMap = 0;
		}
	}elseif($ipLevel == 3){
		if(!strcasecmp($preemptive,$first.$second)){
			if(!in_array($first.$second.$third,$iparray)){
				$iparray[] = $first.$second.$third;
				$ipwriteout[] = "<a href=\"./gpsmap.php?show=region&parameter=".$first.$second.$third."&iplevel=4&coverage=".$coverage."\">IP ".$first.".".$second.".".$third."</a><br/>";
			}
			$back = "<a href=\"./gpsmap.php?show=region&parameter=".$first."&iplevel=2&coverage=".$coverage."\"><u>Go Back</u></a><br/>";

		}else{
			$host->showMap = 0;
		}
	}elseif($ipLevel == 4){ 
		if(!strcasecmp($preemptive,$first.$second.$third)){
			if(!in_array($first.$second.$third,$iparray)){
				$ipcountarray[] = $first.$second.$third;
				$ipwriteout[] = "<a href=\"../../graph_view.php?action=preview&host_id=".$host->id."\">IP ".$first.".".$second.".".$third.".".$fourth."</a><br/>";
			}
			$back = "<a href=\"./gpsmap.php?show=region&parameter=".$first.$second."&iplevel=3&coverage=".$coverage."\"><u>Go Back</u></a>";
		}else{
			$host->showMap = 0;
		}
	}                          
}
//print out the information we have gathered.
$body .= '<div id="gpstopmenu" style="border:1px solid black; overflow: auto; width:100%; background-color:lightgrey;">';
$body .= "<div id=\"gpsnav\"style=\"width:75px; overflow:auto; background-color:lightgrey; float:left; position:relative;\"><a href=\"./gpsmap.php\"><u>Start Over</u></a><br/>";
$body .= $back;
$body .= "<img src=\"./images/print.gif\" class=\"print\" alt=\"print\" title=\"print\" onclick=\"window.open('print.php')\" />";
$body .= "</div>";
$tempHold = " ";
for($i = 1;$i < count($ipwriteout)+1; $i++){
	$tempHold .= $ipwriteout[$i-1];
	if($i%6 == 0){
		$body .= "<div id=\"iplevels\" style=\"width:120px; overflow: auto; float:left; background-color:lightgrey; position: relative;\">".$tempHold."</div>";
		$tempHold = " ";   
	} 
}                     
//print out what is left   
$body .= "<div id=\"iplevels\" style=\"width:120px; overflow:auto; float:left; background-color:lightgrey; position: relative;\">".$tempHold."</div>";
$tempHold = " ";   
$body .="</div>";

if($ipLevel == 1){  
	showAll(); 
}elseif(($coverage == 0) && ($ipLevel != 1)){
	xmlCreate($hostArray);
}elseif (($coverage == 1)&& ($ipLevel != 1)){
	coverageXML($hostArray);
}

echo $body;
$body ="";
}


    
//---------------------------------------------------------------

if ($show != 'setup'){?>                                           

<script src="http://maps.google.com/maps?file=api&v=2&key=<?php echo($apiKey) ?>" type="text/javascript"></script>
<script type="text/javascript">

<?php include_once("plugins/gpsmap/includes/icons.php"); ?>
<?php include_once("plugins/gpsmap/includes/customicons.php"); ?>

window.onload = loader;
window.onresize= resize;
window.onunload = GUnload;



//---------------------------------------------------------------

function loader(){  
resize();
gload();
}

//---------------------------------------------------------------
function resize(){  
var frame = document.getElementById("map");  
var htmlheight = document.body.parentNode.scrollHeight;  
var windowheight = window.innerHeight;  
if ( htmlheight < windowheight ) { document.body.style.height = windowheight + "px"; frame.style.height = windowheight-105 + "px"; }  
else { document.body.style.height = htmlheight + "px"; frame.style.height = htmlheight-105 + "px"; }  
}

//---------------------------------------------------------------
function gload(){
//This is all standard stuff from the google API
//need to get some variables first before things get rolling to much
var liColor = "<?php echo($liColor) ?>";
var liWidth = "<?php echo($liWidth) ?>";
var liOpa = "<?php echo($liOpa) ?>";
var fillColor = "<?php echo($fillColor) ?>";
var fillOpa = "<?php echo($fillOpa) ?>";
var circleQuality = "<?php echo($circleQuality) ?>";
       
if (GBrowserIsCompatible()) {
	var map = new GMap2(document.getElementById("map"));
	map.setUIToDefault();  
        map.setCenter(new GLatLng(<?php echo($initialLat) ?>, <?php echo($initialLong) ?>), <?php echo($initialzoom) ?>);

	//set to our XML path
	GDownloadUrl("./XML/gpsXML.xml", function(data) {
          var xml = GXml.parse(data);
          var markers = xml.documentElement.getElementsByTagName("marker");
          for (var i = 0; i < markers.length; i++) {
            var id = markers[i].getAttribute("id");
            var name = markers[i].getAttribute("name");
            var address = markers[i].getAttribute("address");
            var templateid = markers[i].getAttribute("templateId");
            var type = markers[i].getAttribute("type");
	    var availability = markers[i].getAttribute("availability");
	    var status = markers[i].getAttribute("status");
            var latency = markers[i].getAttribute("latency");
            var point = new GLatLng(parseFloat(markers[i].getAttribute("lat")),parseFloat(markers[i].getAttribute("lng")));
            var marker = createMarker(id, templateid, point, name, address, type, availability, status, latency);
	    map.addOverlay(marker);
	    //if radius is set, we need to draw a circle.
	    if(markers[i].getAttribute("radius")>0){
		map.addOverlay(drawCircle(point,markers[i].getAttribute("radius"),circleQuality,liColor,liWidth,liOpa,fillColor,fillOpa));
	    }
          }
	});
      }
    }                                                                   
//---------------------------------------------------------------
function drawCircle(center, radius, nodes, liColor, liWidth, liOpa, fillColor, fillOpa)
{

	//calculating km/degree
	var latConv = center.distanceFrom(new GLatLng(center.lat()+0.1, center.lng()))/100;
	var lngConv = center.distanceFrom(new GLatLng(center.lat(), center.lng()+0.1))/100;

	//Loop 
	var points = [];
	var step = parseInt(360/nodes);

	for(var i=0; i<=360; i+=step)
	{
	var pint = new GLatLng(center.lat() + (radius/latConv * Math.cos(i * Math.PI/180)), center.lng() + (radius/lngConv * Math.sin(i * Math.PI/180)));
	points.push(pint);
	}
	points.push(points[0]); // Closes the circle

	fillColor = fillColor;
	liColor = liColor;
	liWidth = liWidth;
	fillOpa = fillOpa;
	liOpa = liOpa;

	var poly = new GPolygon(points,liColor,liWidth,liOpa,fillColor,fillOpa);
	return poly;

}
//---------------------------------------------------------------                                                                     
function createMarker(id, templateid, point, name, address, type, availability, status, latency) {


    var joined = templateid+status;
     if(customIcons[joined] == undefined){
	     var marker = new GMarker(point, customIcons[status]);
     }else{
	     var marker = new GMarker(point, customIcons[joined]);
     }

      //This defines what is put in the pop-up bubbles when the icon is clicked
      var html = "<b><a href=\"../../graph_view.php?action=preview&host_id="+ id +"\">" + name + "</a></b> <br/>" + address + "<br/> Avalability: " + availability + "<br/> Type: " + type + "<br/> Latency: " + latency;
      GEvent.addListener(marker, 'click', function() {
        marker.openInfoWindowHtml(html);
      });
      return marker;
    }                          
  </script>
  </head> 
                                
       
<?php
}

$body .= "</script><div id=\"map\" style=\"height:10px;\"></div>";   

echo $body;

?>
