<?php
/*
 ex: set tabstop=4 shiftwidth=4 autoindent:
 +-------------------------------------------------------------------------+
 | Copyright (C) 2009 The Cacti Group                                      |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
 | Cacti: The Complete RRDTool-based Graphing Solution                     |
 +-------------------------------------------------------------------------+
 | This code is designed, written, and maintained by the Cacti Group. See  |
 | about.php and/or the AUTHORS file for specific developer information.   |
 +-------------------------------------------------------------------------+
 | http://www.cacti.net/                                                   |
 +-------------------------------------------------------------------------+
*/

chdir('../../');
include_once('./include/auth.php');

if (isset($_POST['save']) && $_POST['save'] == 'save') {


//temp
gpsmap_save_template();
exit;
}else {
	gpsmap_add_select_host();
}


function gpsmap_add_select_host() {
	global $config, $templates;

	//get host templates from DB
	$templates = db_fetch_assoc("SELECT id, name FROM host_template ORDER BY name");
	
	//get all icons in the icon folder
	$iconArray = array();
	$icons = opendir('./plugins/gpsmap/images/icons');
	while (false !== ($icon = readdir($icons))){
		if ($icon != "." && $icon != ".."){
		$iconArray[] = $icon;
		}
	}
	closedir($icons);
	$iconArray[] = "Google Red";
	$iconArray[] = "Google Green";
	$iconArray[] = "Google Yellow";
	$iconArray[] = "Google Blue";
	$iconArray[] = "Google Black";
	$iconArray[] = "Google White";
	$iconArray[] = "Google Orange";

	include($config['include_path'] . '/top_header.php');
	html_start_box('<strong>Template Creation Wizard</strong>', '50%', $colors['header'], '3', 'center', '');
	echo '<tr><td><form action="gpstemplates_add.php" method="post" name="gpsform">';
	print '<center><h3>Please select a Host Template</h3></center>';


	/* display the template dropdown */
	?>
	<center><table>
		<tr>
			<td width='70' style='white-space:nowrap;'>
				&nbsp;<b>Host Template:</b>
			</td>
			<td style='width:1;'>
				<select name="hostid">
					<option value=""></option><?php
					foreach ($templates as $row) {
						echo "<option value='" . $row['id'] . "'>" . $row['name'] . "</option>";
					}?>
				</select>
			</td>
		</tr>
		<tr>
			<td width='70' style='white-space:nowrap;'>
				&nbsp;<b>Up Image:</b>
			</td>
			<td style='width:1;'>
				<select name="upimage">
					<option value=""></option><?php
					foreach ($iconArray as $icon) {
						echo "<option value='". $icon ."'>" . $icon . "</option>";
					}?>
				</select>
			</td>
		</tr>
		<tr>
			<td width='70' style='white-space:nowrap;'>
				&nbsp;<b>Recovering Image:</b>
			</td>
			<td style='width:1;'>
				<select name="recoverimage">
					<option value=""></option><?php
					foreach ($iconArray as $icon) {
						echo "<option value='". $icon ."'>" . $icon . "</option>";
					}?>
				</select>
			</td>
		</tr>
		<tr>
			<td width='70' style='white-space:nowrap;'>
				&nbsp;<b>Down Image:</b>
			</td>
			<td style='width:1;'>
				<select name="downimage">
					<option value=""></option><?php
					foreach ($iconArray as $icon) {
						echo "<option value='". $icon ."'>" . $icon . "</option>";
					}?>
				</select>
			</td>
		</tr>	
	<?php

		echo '<tr><td colspan=2><input type=hidden name="save" value="save"><br><center><input type=image src="../../images/button_create.gif" alt="Create"></center></td></tr>';
		echo '<tr><td colspan=2><br><br><br></td></tr>';
		echo '</table></form></td></tr>';
		html_end_box();
}

function gpsmap_save_template(){
global $config;

$hostid = $_POST["hostid"];
$upimage = ($_POST["upimage"] ? $_POST["upimage"]: "Google Green");
$recoverimage = ($_POST["recoverimage"] ? $_POST["recoverimage"]: "Google Yellow");
$downimage = ($_POST["downimage"] ? $_POST["downimage"]: "Google Red");
$result = mysql_query("SELECT name FROM host_template WHERE id='$hostid'");
$row = mysql_fetch_array($result,MYSQL_BOTH);
$tempname = $row['name'];

if (db_execute("INSERT INTO gpsmap_templates(templateID,templateName,upimage,recoverimage,downimage) VALUES ('$hostid','$tempname','$upimage','$recoverimage','$downimage')") == 1){

	header('Location: gpstemplates.php');

}else{
	include($config['include_path'] . '/top_header.php');
	echo 'There were issues while inserting information into the database.';
	html_end_box();	
}
}
?>
