<?php
// I need to compare the first 3 sets in the ip address and for each tower I 
// need to get the furthest host and compare the distance.
// Looks like We will need to use objects, because I have no Idea how many towers there are.
//get ONLY towers in the hostIdArray this can reduce the number of SQL calls 
// so first lets get all the tower
foreach($hostArray as $host){
	if (($host->type == $towerId)&&($host->showMap == "1")){
		list($first, $second, $third, $fourth) = split('[.]',$host->hostname);

		//Multi overlay is to give APs in the same IP range the ability to display an overlay
		if($multipleOverlay == 1){
			$towerArray[] = new towerDistance($host->id,$host->lat,$host->long,0,$first.$second.$third,$host->description,$host->hostname,$host->avail,$host->status,$host->latency);
		}else{
			//This is by default, only one overlay/map point per tower location.
			if(!in_array($first.$second.$third,$towerSingle)){
				$towerSingle[] = $first.$second.$third;
			$towerArray[] = new towerDistance($host->id,$host->lat,$host->long,0,$first.$second.$third,$host->description,$host->hostname,$host->avail,$host->status,$host->latency);
			}
		}
	}
}
			
//now we need to compare all the hosts that are in our ID array, and then generate the XML to perform google magic
$doc = '<markers>';
		$doc .= "\n"; 
foreach($hostArray as $host){
	if($host->showMap == "1"){
		if($host->coverage == "1"){
			list($first, $second, $third, $fourth) = split('[.]',$host->hostname);
			foreach($towerArray as $tower){
				if (($tower->towerIprange == $first.$second.$third)&&($host->type != $towerId)){
		       		$distance = calcMeters($tower->towerLat,$tower->towerLong, $host->lat, $host->long);
					if ($distance > $tower->towerRadius){
						$tower->towerRadius = $distance;
					}
				}
			}
		}
	if(($host->type != $towerId)&&($towersOnly == 0)){
		//This is to display all non towers.
		$doc .= '<marker ';
		//gotta determine type based on host type, 
		//This is where people can define custom hosts types
		$type= $host->type;
		//include("./plugins/gpsmap/custom_hosts.php");
		//insure nothing will be invalid.
		$doc .= 'id="' . parseToXML($host->id) . '" ';
		$doc .= 'name="' . parseToXML($host->description) . '" ';
		$doc .= 'address="' . parseToXML($host->hostname) . '" ';
		$doc .= 'lat="' . parseToXML($host->lat) . '" ';
		$doc .= 'lng="' . parseToXML($host->long) . '" ';
		$doc .= 'type="' . parseToXML($typeArray[$type]) . '" ';
		$doc .= 'templateId="' . parseToXML($type) . '" ';
		$doc .= 'availability="' . $host->avail.'" ';
		$doc .= 'radius="0" ';
		$doc .= 'status="' . parseToXML($host->status) . '" ';
		$doc .= 'latency="' . parseToXML($host->latency) . '" ';
		$doc .= '/>'; 
		$doc .= "\n"; 
	}
	}
}
//Display the Towers last, this is to ensure everything is done and finished. PREVENTS issues strange overlay graphs.
foreach($towerArray as $tower){
	$doc .= '<marker ';
	//gotta determine type based on host type, 
	//This is where people can define custom hosts types
	$type= $towerId;
	//include("./plugins/gpsmap/custom_hosts.php");
	//insure nothing will be invalid.
	$doc .= 'id="' . parseToXML($tower->towerId) . '" ';
	$doc .= 'name="' . parseToXML($tower->towerDescription) . '" ';
	$doc .= 'address="' . parseToXML($tower->towerHostname) . '" ';
	$doc .= 'lat="' . parseToXML($tower->towerLat) . '" ';
	$doc .= 'lng="' . parseToXML($tower->towerLong) . '" ';
	$doc .= 'type="' . parseToXML($typeArray[$type]) . '" ';
	$doc .= 'templateId="' . parseToXML($type) . '" ';
	$doc .= 'radius="' . parseToXML($tower->towerRadius) . '" '; //this is in miles
	$doc .= 'availability="' . parseToXML($tower->towerAvail) . '" ';
	$doc .= 'status="' . parseToXML($tower->towerStatus) . '" ';
	$doc .= 'latency="' . parseToXML($tower->towerLatency) . '" ';
	$doc .= '/>';
		$doc .= "\n"; 
}
$doc .= '</markers>';	
$f = fopen("./plugins/gpsmap/XML/gpsXML.xml","w");
fwrite($f, $doc);
fclose($f);
?>