<?php
$doc = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
$doc .= "<kml xmlns=\"http://www.opengis.net/kml/2.2\">\n";
                             
$doc .= "<Document>"; 
$doc .= "<name>GPSMaps Points</name>\n";

//default google point info for KML
require('iconskml.php'); 
$doc .= iconskml();    
                 
//default
$doc .= "<Style id=\"pushpin\">";
$doc .= "<IconStyle id=\"mystyle\">";
$doc .= "<Icon>";
$doc .= "<href>http://maps.google.com/mapfiles/kml/pushpin/ylw-pushpin.png</href>";
$doc .= "<scale>1.0</scale>";
$doc .= "</Icon>";                            
$doc .= "</IconStyle>";
$doc .= "</Style>\n";            

foreach($hostArray as $host){
$icon = array();

//Check if google icon is used first
//else a custom icon is used and we need to parse.
if($host->status == "up"){
	$icon = explode('.',$host->upimage);
}elseif($host->status == "down"){
	$icon = explode('.',$host->downimage);
}elseif($host->status == "recovering"){
	$icon = explode('.',$host->recoverimage);
}else{ 
	$icon = explode('.',$host->upimage); 
}
if(!strncmp("Google",$icon[0],6)){
		$icon[0] = strtolower(substr($icon[0],6));
}

$doc .= "<Placemark>";
$doc .= '<name>' . parseToXML($host->description) . '</name>';
$doc .= "<styleUrl>". parseToXml($icon[0]) ."</styleUrl> ";
$doc .= '<description>'. parseToXML($host->description) . "\n" . 'Availability: '. $host->avail . "\n" .'Address: ' . parseToXML($host->hostname) . '</description>';
$doc .= '<Point>';                                                       
$doc .= '<coordinates>'. parseToXML($host->long) .',' . parseToXML($host->lat) . '</coordinates>';
$doc .= '</Point>';
$doc .= '</Placemark>';               
$doc .= "\n";
}
$doc .= "</Document></kml>";
$f = fopen("./plugins/gpsmap/XML/gpsKML.kml","w");
fwrite($f, $doc);
fclose($f);
?>